<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

$numCarga=$_GET['carga'];

//Volvemos a recargar la consulta, para tener datos en tiempo real

$peticion='SGACargasCamion#'.$_SESSION['empresa'].'#'.$_SESSION['usuario']['Usuario'].'#CARGASENCURSO#'.$fecha.";".$_SESSION['almacen'];
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);

if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

foreach($resultado as $item) {
	if($item['NumCarga']==$numCarga) $orden=$item;
}


if($numCarga) {

	include('librerias/fotos-documento.php');
	
	if($_SESSION['usuario']['EmpresaCarga']) $empresaFotos=$_SESSION['usuario']['EmpresaCarga'];
	else $empresaFotos=$orden['Empresa'];
	
	$fotosCarga=new FotosDocumento('cargas',$numCarga,$_SESSION['usuario']['EmpresaCarga']);
	
	if($_POST['borrarfoto']) {
		
		$fotosCarga->borraFoto($_POST['nombreArchivo']);
	
	}
	
	if($_FILES['archivo']['name']) {
		
		if( $fotosCarga->grabaFoto($_FILES['archivo']) ) {
					
			?><p>Nueva fotografía subida correctamente.</p><?php
			
		}
		else {
			?><script>alert('ERROR: No pudo subirse la fotografía.',null,'error')</script><?php
		}
		
	}
	
	$fotosSubidas=$fotosCarga->fotosSubidas();
	$contadorSubidas=count($fotosSubidas);


	?>
	
	<h2>Fotografías Carga de Camión Nº <?php echo $numCarga; ?></h2>
	
	<table class="tablaFormateada">
        <tr>
            <th>Nº Carga</th>
            <th>Nombre</th>
            <?php if($_SESSION['visibilidadZonaCarga']) { ?><th>Zona Carga</th><?php } ?>
            <th>Fecha</th>
            <th>Hora</th>
            <th>Órdenes</th>
            <th>Bultos</th>
            <th><?php if($_SESSION['parametrosSGA']['GestionPackingList']=='S' || $_SESSION['parametrosSGA']['PickingPacking']=='S') { ?>Packing Lists<?php } ?></th>
        </tr>
        <tr style="height:75px">
            <td><?php echo $orden['NumCarga']; ?></td>
            <td><?php echo $orden['NombreCarga']; ?></td>
            <?php if($_SESSION['visibilidadZonaCarga']) { ?><td><?php echo $orden['ZonaCargaCamion']; ?></td><?php } ?>
            <td><?php echo fechaNacional($orden['FechaCarga']); ?></td>
            <td><?php echo $orden['HoraCarga']; ?></td>
            <td><?php echo $orden['NumOrdenesT']; ?><?php if($orden['NumOrdenesPdtesT']>0) { ?>/<span style="font-weight:400;color:#FF0000"><?php echo $orden['NumOrdenesPdtesT']; ?></span><?php } ?></td>
            <td><?php echo $orden['NumPaletsT']; ?></td>
            <td><?php if($_SESSION['parametrosSGA']['GestionPackingList']=='S' || $_SESSION['parametrosSGA']['PickingPacking']=='S') { ?><?php echo $orden['NumPackingList']; ?><?php if($orden['NumPackingListPdtes']>0 && $_SESSION['parametrosSGA']['PickingPacking']!='S') { ?>/<span style="font-weight:400;color:#FF0000"><?php echo $orden['NumPackingListPdtes']; ?></span><?php } ?><?php } ?></td>
        </tr>
    </table>

	<form action="" method="post" enctype="multipart/form-data" name="formularioFotos" id="formularioFotos">
	
    	<div id="filescontainer">
        <div id="filecontainer1" class="fileUpload btn btn-primary">
            <img src="<?php echo DIR_IMAGENES; ?>/botones/camera-open.png" style="margin-top:20px" border="0">
            <input type="file" name="archivo" id="archivo" onChange="subirFoto();" accept="image/*" capture="camera" class="upload" />
        </div>
        </div>
                
        <div id="popupFoto" class="popupScroll" style="display:none"></div>
        <div id="popupFotoContenido" class="popupContenidoScroll" style="display:none;padding:20px">
        	<img src="" id="fotoGrande" style="max-width:100%" class="cerrable"/>
            <input id="nombreArchivo" name="nombreArchivo" type="hidden" value="" />
            
            <input id="borrarfoto" name="borrarfoto" type="hidden" value="" />
            <p><img name="botonBorrar" id="botonBorrar" src="<?php echo DIR_IMAGENES; ?>/papelera.png" style="float:right;width:40px;height:40px;margin-top:10px;margin-left:-100px;" border="0"/><input type="button" id="boton" name="boton" value="Cerrar" class="campoRedondeado boton cerrable" style="width:150px" /></p>
            
        </div>
                
    </form>
    
    
    <?php
	
	if($contadorSubidas>0) {
	
		?>
		<p>Fotografías grabadas:</p>
        
        <div class="miniaturas-contenedor">
        <?php
		foreach($fotosSubidas as $foto) {
			?><div class="miniaturas-caja clicable"><img src="<?php echo $fotosCarga->rutaHtml."/".$foto; ?>" class="miniatura selectorFotoDinamica" archivo="<?php echo $foto; ?>"></div><?php
		}
		?>
        </div>
        <?php
		
	}
	
	?>
    
    <p><input type="button" id="botonVolver" name="botonVolver" value="Volver a la Carga de Camión" class="boton"/></p>
	
	<script>
	
	function subirFoto() {
	
		$('#popupCargando').show();
		$('#formularioFotos').submit();
	}
	
	$(document).ready(function() {
	
		$('#botonVolver').on('click',function(){
		
			$("#popupCargando").show();
			window.location='carga-camion-detalle.php?carga=<?php echo $numCarga; ?>';
		
		});
	
		$(document).on('click','.selectorFotoDinamica',function(){
			$('#fotoGrande').attr('src',$(this).attr('src'));
			$('#nombreArchivo').val($(this).attr('archivo'));
			$('#popupFoto').fadeIn();
			$('#popupFotoContenido').fadeIn();
			
		});
					
		$(document).on('click','.cerrable',function(){
			$('#popupFoto').hide();
			$('#popupFotoContenido').hide();
		});
		
		$('#botonBorrar').on('click',function(){
			confirm('Se va a proceder a borrar esta fotografía.<br>¿Deseas continuar?','advertencia')
			.done(function(){
				$('#borrarfoto').val(1);
				$("#popupCargando").show();
				$('#formularioFotos').submit();
			});
		});
		
		$('#botonLectura').on("click",function(e){
		
			e.preventDefault();
			$("#popupCargando").show();
			window.location='entrada-mercancia-gs1-proceso.php';
		});
		
	});
	
	</script>
	
	<?php
	
}
else {
	?><p class="error">Error, no consta ninguna Carga a la que asociar fotografías.</p><?php
}

include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>